      program pbl_height
c
c PROGRAM compute pbl height in meters from pbl depth in mb, surface pressure
c and temperature at 10 meters.
c
      parameter (nyr=5)
      parameter (nm=12)
      parameter (imx=144,jmx=91)
      dimension pblh(imx,jmx)
      dimension ps(imx,jmx),t10m(imx,jmx),pbl(imx,jmx)
      character *2 numb(nm),yr(nyr)
      character *70 directory1,directory2
c
      data numb/'01','02','03','04','05','06','07','08','09',
     >'10','11','12'/
      data yr/'85','86','87','88','89'/
c
      directory2='/misc/mcc04/ginoux/pbl/'
      i2=index(directory2,' ')-1
c
      do l=1,nyr
        do n=1,nm
        write(*,*) 'Year=',yr(l),' Month=',n
          open(1,file=directory2(1:i2)//'pbl.12Z.mth.'//
     >         yr(l)//numb(n),form='unformatted',status='old')
           read(1) pbl
           close(1)
        enddo
      enddo
c
      stop
      end      
